ossl_x509.h File Reference

Go to the source code of this file.

## Functions

void | Init_ossl_x509 (void)
VALUE | ossl_x509attr_new (X509_ATTRIBUTE *)
X509_ATTRIBUTE * | DupX509AttrPtr (VALUE)
void | Init_ossl_x509attr (void)
VALUE | ossl_x509_new (X509 *)
VALUE | ossl_x509_new_from_file (VALUE)
X509 * | GetX509CertPtr (VALUE)
X509 * | DupX509CertPtr (VALUE)
void | Init_ossl_x509cert (void)
VALUE | ossl_x509crl_new (X509_CRL *)
X509_CRL * | GetX509CRLPtr (VALUE)
X509_CRL * | DupX509CRLPtr (VALUE)
void | Init_ossl_x509crl (void)
VALUE | ossl_x509ext_new (X509_EXTENSION *)
X509_EXTENSION * | GetX509ExtPtr (VALUE)
X509_EXTENSION * | DupX509ExtPtr (VALUE)
void | Init_ossl_x509ext (void)
VALUE | ossl_x509name_new (X509_NAME *)
X509_NAME * | GetX509NamePtr (VALUE)
void | Init_ossl_x509name (void)
VALUE | ossl_x509req_new (X509_REQ *)
X509_REQ * | GetX509ReqPtr (VALUE)
X509_REQ * | DupX509ReqPtr (VALUE)
void | Init_ossl_x509req (void)
VALUE | ossl_x509revoked_new (X509_REVOKED *)
X509_REVOKED * | DupX509RevokedPtr (VALUE)
void | Init_ossl_x509revoked (void)
VALUE | ossl_x509store_new (X509_STORE *)
X509_STORE * | GetX509StorePtr (VALUE)
X509_STORE * | DupX509StorePtr (VALUE)
VALUE | ossl_x509stctx_new (X509_STORE_CTX *)
VALUE | ossl_x509stctx_clear_ptr (VALUE)
X509_STORE_CTX * | GetX509StCtxtPtr (VALUE)
void | Init_ossl_x509store (void)

## Variables

VALUE | mX509
VALUE | cX509Attr
VALUE | eX509AttrError
VALUE | cX509Cert
VALUE | eX509CertError
VALUE | cX509CRL
VALUE | eX509CRLError
VALUE | cX509Ext
VALUE | cX509ExtFactory
VALUE | eX509ExtError
VALUE | cX509Name
VALUE | eX509NameError
VALUE | cX509Req
VALUE | eX509ReqError
VALUE | cX509Rev
VALUE | eX509RevError
VALUE | cX509Store
VALUE | cX509StoreContext
VALUE | eX509StoreError

## Function Documentation

X509_ATTRIBUTE* DupX509AttrPtr | ( | VALUE |  | ) |

Definition at line 59 of file ossl_x509attr.c.

References eX509AttrError, NULL, ossl_raise(), and SafeGetX509Attr.

Referenced by ossl_x509req_add_attribute(), and ossl_x509req_set_attributes().

X509* DupX509CertPtr | ( | VALUE |  | ) |

Definition at line 101 of file ossl_x509cert.c.

References SafeGetX509.

Referenced by ossl_client_cert_cb(), ossl_sslctx_add_extra_chain_cert_i(), and ossl_x509stctx_initialize().

X509_CRL* DupX509CRLPtr | ( | VALUE |  | ) |

Definition at line 50 of file ossl_x509crl.c.

References SafeGetX509CRL.

X509_EXTENSION* DupX509ExtPtr | ( | VALUE |  | ) |

Definition at line 82 of file ossl_x509ext.c.

References eX509ExtError, NULL, ossl_raise(), and SafeGetX509Ext.

Referenced by ossl_x509_add_extension(), ossl_x509_set_extensions(), ossl_x509crl_add_extension(), ossl_x509crl_set_extensions(), ossl_x509revoked_add_extension(), and ossl_x509revoked_set_extensions().

X509_REQ* DupX509ReqPtr | ( | VALUE |  | ) |

Definition at line 69 of file ossl_x509req.c.

References eX509ReqError, NULL, ossl_raise(), and SafeGetX509Req.

X509_REVOKED* DupX509RevokedPtr | ( | VALUE |  | ) |

Definition at line 59 of file ossl_x509revoked.c.

References eX509RevError, NULL, ossl_raise(), SafeGetX509Rev, and X509_REVOKED_dup.

Referenced by ossl_x509crl_add_revoked(), and ossl_x509crl_set_revoked().

X509_STORE* DupX509StorePtr | ( | VALUE |  | ) |

Definition at line 78 of file ossl_x509store.c.

References SafeGetX509Store.

X509* GetX509CertPtr | ( | VALUE |  | ) |

Definition at line 91 of file ossl_x509cert.c.

References SafeGetX509.

Referenced by ossl_call_client_cert_cb(), ossl_pkcs12_s_create(), ossl_pkcs7_add_certificate(), ossl_pkcs7_decrypt(), ossl_pkcs7_s_sign(), ossl_pkcs7ri_initialize(), ossl_pkcs7si_initialize(), ossl_sslctx_setup(), ossl_x509extfactory_set_issuer_cert(), ossl_x509extfactory_set_subject_cert(), and ossl_x509store_add_cert().

X509_CRL* GetX509CRLPtr | ( | VALUE |  | ) |

Definition at line 40 of file ossl_x509crl.c.

References SafeGetX509CRL.

Referenced by ossl_pkcs7_add_crl(), ossl_x509extfactory_set_crl(), and ossl_x509store_add_crl().

X509_EXTENSION* GetX509ExtPtr | ( | VALUE |  | ) |

Definition at line 72 of file ossl_x509ext.c.

References SafeGetX509Ext.

X509_NAME* GetX509NamePtr | ( | VALUE |  | ) |

Definition at line 64 of file ossl_x509name.c.

References name, and SafeGetX509Name.

Referenced by ossl_x509_set_issuer(), ossl_x509_set_subject(), ossl_x509crl_set_issuer(), and ossl_x509req_set_subject().

X509_REQ* GetX509ReqPtr | ( | VALUE |  | ) |

Definition at line 59 of file ossl_x509req.c.

References SafeGetX509Req.

Referenced by ossl_x509extfactory_set_subject_req().

X509_STORE_CTX* GetX509StCtxtPtr | ( | VALUE |  | ) |

X509_STORE* GetX509StorePtr | ( | VALUE |  | ) |

Definition at line 68 of file ossl_x509store.c.

References SafeGetX509Store.

Referenced by ossl_pkcs7_verify(), and ossl_sslctx_setup().

void Init_ossl_x509 | ( | void |  | ) |

Definition at line 20 of file ossl_x509.c.

References DefX509Const, DefX509Default, Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509name(), Init_ossl_x509req(), Init_ossl_x509revoked(), Init_ossl_x509store(), mOSSL, mX509, and rb_define_module_under().

Referenced by Init_openssl().

void Init_ossl_x509attr | ( | void |  | ) |

Definition at line 263 of file ossl_x509attr.c.

References cX509Attr, eOSSLError, eX509AttrError, mX509, ossl_x509attr_alloc(), ossl_x509attr_get_oid(), ossl_x509attr_get_value(), ossl_x509attr_initialize(), ossl_x509attr_set_oid(), ossl_x509attr_set_value(), ossl_x509attr_to_der(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), and rb_define_method().

Referenced by Init_ossl_x509().

void Init_ossl_x509cert | ( | void |  | ) |

Definition at line 730 of file ossl_x509cert.c.

References cX509Cert, eOSSLError, eX509CertError, mOSSL, mX509, ossl_x509_add_extension(), ossl_x509_alloc(), ossl_x509_check_private_key(), ossl_x509_copy(), ossl_x509_get_extensions(), ossl_x509_get_issuer(), ossl_x509_get_not_after(), ossl_x509_get_not_before(), ossl_x509_get_public_key(), ossl_x509_get_serial(), ossl_x509_get_signature_algorithm(), ossl_x509_get_subject(), ossl_x509_get_version(), ossl_x509_initialize(), ossl_x509_inspect(), ossl_x509_set_extensions(), ossl_x509_set_issuer(), ossl_x509_set_not_after(), ossl_x509_set_not_before(), ossl_x509_set_public_key(), ossl_x509_set_serial(), ossl_x509_set_subject(), ossl_x509_set_version(), ossl_x509_sign(), ossl_x509_to_der(), ossl_x509_to_pem(), ossl_x509_to_text(), ossl_x509_verify(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_copy_func, rb_define_method(), rb_define_module(), and rb_define_module_under().

Referenced by Init_ossl_x509().

void Init_ossl_x509crl | ( | void |  | ) |

Definition at line 505 of file ossl_x509crl.c.

References cX509CRL, eOSSLError, eX509CRLError, mX509, ossl_x509crl_add_extension(), ossl_x509crl_add_revoked(), ossl_x509crl_alloc(), ossl_x509crl_copy(), ossl_x509crl_get_extensions(), ossl_x509crl_get_issuer(), ossl_x509crl_get_last_update(), ossl_x509crl_get_next_update(), ossl_x509crl_get_revoked(), ossl_x509crl_get_signature_algorithm(), ossl_x509crl_get_version(), ossl_x509crl_initialize(), ossl_x509crl_set_extensions(), ossl_x509crl_set_issuer(), ossl_x509crl_set_last_update(), ossl_x509crl_set_next_update(), ossl_x509crl_set_revoked(), ossl_x509crl_set_version(), ossl_x509crl_sign(), ossl_x509crl_to_der(), ossl_x509crl_to_pem(), ossl_x509crl_to_text(), ossl_x509crl_verify(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_copy_func, and rb_define_method().

Referenced by Init_ossl_x509().

void Init_ossl_x509ext | ( | void |  | ) |

Definition at line 439 of file ossl_x509ext.c.

References cX509Ext, cX509ExtFactory, eOSSLError, eX509ExtError, mX509, ossl_x509ext_alloc(), ossl_x509ext_get_critical(), ossl_x509ext_get_oid(), ossl_x509ext_get_value(), ossl_x509ext_initialize(), ossl_x509ext_set_critical(), ossl_x509ext_set_oid(), ossl_x509ext_set_value(), ossl_x509ext_to_der(), ossl_x509extfactory_alloc(), ossl_x509extfactory_create_ext(), ossl_x509extfactory_initialize(), ossl_x509extfactory_set_config, ossl_x509extfactory_set_crl(), ossl_x509extfactory_set_issuer_cert(), ossl_x509extfactory_set_subject_cert(), ossl_x509extfactory_set_subject_req(), Qfalse, rb_attr(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method(), and rb_intern.

Referenced by Init_ossl_x509().

void Init_ossl_x509name | ( | void |  | ) |

Definition at line 376 of file ossl_x509name.c.

References cX509Name, eOSSLError, eX509NameError, hash(), id_aref, INT2NUM(), mX509, ossl_x509name_add_entry(), ossl_x509name_alloc(), ossl_x509name_cmp(), ossl_x509name_eql(), ossl_x509name_hash(), ossl_x509name_initialize(), ossl_x509name_to_a(), ossl_x509name_to_der(), ossl_x509name_to_s(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_method(), rb_hash_aset(), rb_hash_new(), rb_include_module(), rb_intern, rb_mComparable, rb_str_new2(), RHASH, and ULONG2NUM().

Referenced by Init_ossl_x509().

void Init_ossl_x509req | ( | void |  | ) |

Definition at line 441 of file ossl_x509req.c.

References cX509Req, eOSSLError, eX509ReqError, mX509, ossl_x509req_add_attribute(), ossl_x509req_alloc(), ossl_x509req_copy(), ossl_x509req_get_attributes(), ossl_x509req_get_public_key(), ossl_x509req_get_signature_algorithm(), ossl_x509req_get_subject(), ossl_x509req_get_version(), ossl_x509req_initialize(), ossl_x509req_set_attributes(), ossl_x509req_set_public_key(), ossl_x509req_set_subject(), ossl_x509req_set_version(), ossl_x509req_sign(), ossl_x509req_to_der(), ossl_x509req_to_pem(), ossl_x509req_to_text(), ossl_x509req_verify(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_copy_func, and rb_define_method().

Referenced by Init_ossl_x509().

void Init_ossl_x509revoked | ( | void |  | ) |

Definition at line 212 of file ossl_x509revoked.c.

References cX509Rev, eOSSLError, eX509RevError, mX509, ossl_x509revoked_add_extension(), ossl_x509revoked_alloc(), ossl_x509revoked_get_extensions(), ossl_x509revoked_get_serial(), ossl_x509revoked_get_time(), ossl_x509revoked_initialize(), ossl_x509revoked_set_extensions(), ossl_x509revoked_set_serial(), ossl_x509revoked_set_time(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), and rb_define_method().

Referenced by Init_ossl_x509().

void Init_ossl_x509store | ( | void |  | ) |

Definition at line 570 of file ossl_x509store.c.

References cX509Store, cX509StoreContext, eOSSLError, eX509StoreError, mX509, ossl_x509stctx_alloc(), ossl_x509stctx_get_chain(), ossl_x509stctx_get_curr_cert(), ossl_x509stctx_get_curr_crl(), ossl_x509stctx_get_err(), ossl_x509stctx_get_err_depth(), ossl_x509stctx_get_err_string(), ossl_x509stctx_initialize(), ossl_x509stctx_set_error(), ossl_x509stctx_set_flags(), ossl_x509stctx_set_purpose(), ossl_x509stctx_set_time(), ossl_x509stctx_set_trust(), ossl_x509stctx_verify(), ossl_x509store_add_cert(), ossl_x509store_add_crl(), ossl_x509store_add_file(), ossl_x509store_add_path(), ossl_x509store_alloc(), ossl_x509store_initialize(), ossl_x509store_set_default_paths(), ossl_x509store_set_flags(), ossl_x509store_set_purpose(), ossl_x509store_set_time(), ossl_x509store_set_trust(), ossl_x509store_set_vfy_cb(), ossl_x509store_verify(), Qfalse, rb_attr(), rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method(), and rb_intern.

Referenced by Init_ossl_x509().

VALUE ossl_x509_new | ( | X509 * |  | ) |

Definition at line 40 of file ossl_x509cert.c.

References cX509Cert, eX509CertError, NULL, ossl_raise(), and WrapX509.

Referenced by ossl_pkcs12_initialize(), ossl_ssl_get_cert(), ossl_ssl_get_peer_cert(), ossl_ssl_get_peer_cert_chain(), ossl_x509stctx_get_chain(), and ossl_x509stctx_get_curr_cert().

VALUE ossl_x509_new_from_file | ( | VALUE |  | ) |

Definition at line 59 of file ossl_x509cert.c.

References cX509Cert, errno, eX509CertError, NULL, ossl_raise(), RSTRING_PTR, SafeStringValue, strerror(), and WrapX509.

VALUE ossl_x509attr_new | ( | X509_ATTRIBUTE * |  | ) |

Definition at line 40 of file ossl_x509attr.c.

References cX509Attr, eX509AttrError, NULL, ossl_raise(), and WrapX509Attr.

Referenced by ossl_x509req_get_attributes().

VALUE ossl_x509crl_new | ( | X509_CRL * |  | ) |

Definition at line 61 of file ossl_x509crl.c.

References cX509CRL, eX509CRLError, NULL, ossl_raise(), and WrapX509CRL.

Referenced by ossl_x509stctx_get_curr_crl().

VALUE ossl_x509ext_new | ( | X509_EXTENSION * |  | ) |

Definition at line 53 of file ossl_x509ext.c.

References cX509Ext, eX509ExtError, NULL, ossl_raise(), and WrapX509Ext.

Referenced by ossl_x509_get_extensions(), ossl_x509crl_get_extensions(), and ossl_x509revoked_get_extensions().

VALUE ossl_x509name_new | ( | X509_NAME * |  | ) |

Definition at line 45 of file ossl_x509name.c.

References cX509Name, eX509NameError, NULL, ossl_raise(), and WrapX509Name.

Referenced by ossl_pkcs7ri_get_issuer(), ossl_pkcs7si_get_issuer(), ossl_x509_get_issuer(), ossl_x509_get_subject(), ossl_x509crl_get_issuer(), and ossl_x509req_get_subject().

VALUE ossl_x509req_new | ( | X509_REQ * |  | ) |

Definition at line 40 of file ossl_x509req.c.

References cX509Req, eX509ReqError, NULL, ossl_raise(), and WrapX509Req.

VALUE ossl_x509revoked_new | ( | X509_REVOKED * |  | ) |

Definition at line 40 of file ossl_x509revoked.c.

References cX509Rev, eX509RevError, NULL, ossl_raise(), WrapX509Rev, and X509_REVOKED_dup.

Referenced by ossl_x509crl_get_revoked().

VALUE ossl_x509stctx_clear_ptr | ( | VALUE |  | ) |

Definition at line 332 of file ossl_x509store.c.

References cX509StoreContext, NULL, OSSL_Check_Kind, and RDATA.

Referenced by ossl_verify_cb().

VALUE ossl_x509stctx_new | ( | X509_STORE_CTX * |  | ) |

Definition at line 322 of file ossl_x509store.c.

References cX509StoreContext, and WrapX509StCtx.

Referenced by ossl_verify_cb().

VALUE ossl_x509store_new | ( | X509_STORE * |  | ) |

Definition at line 58 of file ossl_x509store.c.

References cX509Store, and WrapX509Store.

## Variable Documentation

VALUE cX509Attr

Definition at line 33 of file ossl_x509attr.c.

Referenced by Init_ossl_x509attr(), ossl_x509attr_new(), and ossl_x509req_set_attributes().

VALUE cX509Cert

Definition at line 33 of file ossl_x509cert.c.

Referenced by Init_ossl_x509cert(), ossl_x509_new(), and ossl_x509_new_from_file().

VALUE cX509CRL

Definition at line 33 of file ossl_x509crl.c.

Referenced by Init_ossl_x509crl(), and ossl_x509crl_new().

VALUE cX509Ext

Definition at line 45 of file ossl_x509ext.c.

Referenced by Init_ossl_x509ext(), ossl_x509_set_extensions(), ossl_x509crl_set_extensions(), ossl_x509ext_new(), ossl_x509extfactory_create_ext(), and ossl_x509revoked_set_extensions().

VALUE cX509ExtFactory

Definition at line 46 of file ossl_x509ext.c.

Referenced by Init_ossl_x509ext().

VALUE cX509Name

Definition at line 38 of file ossl_x509name.c.

Referenced by Init_ossl_x509name(), ossl_x509name_eql(), and ossl_x509name_new().

VALUE cX509Req

Definition at line 33 of file ossl_x509req.c.

Referenced by Init_ossl_x509req(), and ossl_x509req_new().

VALUE cX509Rev

Definition at line 33 of file ossl_x509revoked.c.

Referenced by Init_ossl_x509revoked(), ossl_x509crl_set_revoked(), and ossl_x509revoked_new().

VALUE cX509Store

Definition at line 50 of file ossl_x509store.c.

Referenced by Init_ossl_x509store(), and ossl_x509store_new().

VALUE cX509StoreContext

Definition at line 51 of file ossl_x509store.c.

Referenced by Init_ossl_x509store(), ossl_x509stctx_clear_ptr(), ossl_x509stctx_new(), and ossl_x509store_verify().

VALUE eX509AttrError

Definition at line 34 of file ossl_x509attr.c.

Referenced by DupX509AttrPtr(), Init_ossl_x509attr(), ossl_x509attr_alloc(), ossl_x509attr_get_oid(), ossl_x509attr_initialize(), ossl_x509attr_new(), ossl_x509attr_set_oid(), and ossl_x509attr_to_der().

VALUE eX509CertError

Definition at line 34 of file ossl_x509cert.c.

Referenced by Init_ossl_x509cert(), ossl_spki_to_der(), ossl_x509_add_extension(), ossl_x509_alloc(), ossl_x509_copy(), ossl_x509_get_issuer(), ossl_x509_get_not_after(), ossl_x509_get_not_before(), ossl_x509_get_public_key(), ossl_x509_get_signature_algorithm(), ossl_x509_get_subject(), ossl_x509_initialize(), ossl_x509_new(), ossl_x509_new_from_file(), ossl_x509_set_extensions(), ossl_x509_set_issuer(), ossl_x509_set_not_after(), ossl_x509_set_not_before(), ossl_x509_set_public_key(), ossl_x509_set_subject(), ossl_x509_set_version(), ossl_x509_sign(), ossl_x509_to_der(), ossl_x509_to_pem(), ossl_x509_to_text(), and ossl_x509_verify().

VALUE eX509CRLError

Definition at line 34 of file ossl_x509crl.c.

Referenced by Init_ossl_x509crl(), ossl_x509crl_add_extension(), ossl_x509crl_add_revoked(), ossl_x509crl_alloc(), ossl_x509crl_copy(), ossl_x509crl_get_signature_algorithm(), ossl_x509crl_initialize(), ossl_x509crl_new(), ossl_x509crl_set_extensions(), ossl_x509crl_set_issuer(), ossl_x509crl_set_last_update(), ossl_x509crl_set_next_update(), ossl_x509crl_set_revoked(), ossl_x509crl_set_version(), ossl_x509crl_sign(), ossl_x509crl_to_der(), ossl_x509crl_to_pem(), ossl_x509crl_to_text(), and ossl_x509crl_verify().

VALUE eX509ExtError

Definition at line 47 of file ossl_x509ext.c.

Referenced by DupX509ExtPtr(), Init_ossl_x509ext(), ossl_x509ext_alloc(), ossl_x509ext_get_oid(), ossl_x509ext_get_value(), ossl_x509ext_initialize(), ossl_x509ext_new(), ossl_x509ext_set_oid(), ossl_x509ext_set_value(), ossl_x509ext_to_der(), and ossl_x509extfactory_create_ext().

VALUE eX509NameError

Definition at line 39 of file ossl_x509name.c.

Referenced by Init_ossl_x509name(), ossl_x509name_add_entry(), ossl_x509name_alloc(), ossl_x509name_initialize(), ossl_x509name_new(), ossl_x509name_to_a(), ossl_x509name_to_der(), and ossl_x509name_to_s().

VALUE eX509ReqError

Definition at line 34 of file ossl_x509req.c.

Referenced by DupX509ReqPtr(), Init_ossl_x509req(), ossl_x509req_add_attribute(), ossl_x509req_alloc(), ossl_x509req_copy(), ossl_x509req_get_public_key(), ossl_x509req_get_signature_algorithm(), ossl_x509req_get_subject(), ossl_x509req_initialize(), ossl_x509req_new(), ossl_x509req_set_attributes(), ossl_x509req_set_public_key(), ossl_x509req_set_subject(), ossl_x509req_set_version(), ossl_x509req_sign(), ossl_x509req_to_der(), ossl_x509req_to_pem(), ossl_x509req_to_text(), and ossl_x509req_verify().

VALUE eX509RevError

Definition at line 34 of file ossl_x509revoked.c.

Referenced by DupX509RevokedPtr(), Init_ossl_x509revoked(), ossl_x509revoked_add_extension(), ossl_x509revoked_alloc(), ossl_x509revoked_new(), ossl_x509revoked_set_extensions(), and ossl_x509revoked_set_time().

VALUE eX509StoreError

Definition at line 52 of file ossl_x509store.c.

Referenced by Init_ossl_x509store(), ossl_x509stctx_alloc(), ossl_x509stctx_initialize(), ossl_x509store_add_cert(), ossl_x509store_add_crl(), ossl_x509store_add_file(), ossl_x509store_add_path(), ossl_x509store_alloc(), and ossl_x509store_set_default_paths().

VALUE mX509

Definition at line 13 of file ossl_x509.c.

Referenced by Init_ossl_x509(), Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509name(), Init_ossl_x509req(), Init_ossl_x509revoked(), and Init_ossl_x509store().